package types

import "p78git.ddns.net/svi/libtui/alias"

// IWinDebug -- окно отладки экрана
//
//	Это окно показывается поверх всех окон
type IWinDebug interface {
	// Show -- показать окно отладки экрана
	Show()
	// Hide -- скрыть окно отладки экрана
	Hide()
	// SetPos -- устанавливает позицию окнаотладке на экране
	SetPos(alias.PosX, alias.PosY)
	// Draw -- перерисовывает окно отладки по требованию
	Draw()
	// IsVisible -- признак, что окно отладки показано
	IsVisible() bool
}
